package com.bjtdba.poster.entity;

import java.awt.*;

public class Poster {

    private int width;//海报的宽（像素为单位）
    private int height;//海报的高
    private String pathUrl;//背景图url

    //头像  portrait
    private String portraitCodeUrl;//头像路径
    private int portraitCodeX;
    private int portraitCodeY;
    private int portraitCodeWidth;
    private int portraitCodeHeight;

    //名字
    private String name;
    private Font nameFont;
    private Color nameColor;
    private int nameX;
    private int nameY;

    //二维码
    private String qrCodeUrl;//二维码路径
    private int qrCodeX;
    private int qrCodeY;
    private int qrCodeWidth;
    private int qrCodeHeight;

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public String getPathUrl() {
        return pathUrl;
    }

    public void setPathUrl(String pathUrl) {
        this.pathUrl = pathUrl;
    }

    public String getPortraitCodeUrl() {
        return portraitCodeUrl;
    }

    public void setPortraitCodeUrl(String portraitCodeUrl) {
        this.portraitCodeUrl = portraitCodeUrl;
    }

    public int getPortraitCodeX() {
        return portraitCodeX;
    }

    public void setPortraitCodeX(int portraitCodeX) {
        this.portraitCodeX = portraitCodeX;
    }

    public int getPortraitCodeY() {
        return portraitCodeY;
    }

    public void setPortraitCodeY(int portraitCodeY) {
        this.portraitCodeY = portraitCodeY;
    }

    public int getPortraitCodeWidth() {
        return portraitCodeWidth;
    }

    public void setPortraitCodeWidth(int portraitCodeWidth) {
        this.portraitCodeWidth = portraitCodeWidth;
    }

    public int getPortraitCodeHeight() {
        return portraitCodeHeight;
    }

    public void setPortraitCodeHeight(int portraitCodeHeight) {
        this.portraitCodeHeight = portraitCodeHeight;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Font getNameFont() {
        return nameFont;
    }

    public void setNameFont(Font nameFont) {
        this.nameFont = nameFont;
    }

    public Color getNameColor() {
        return nameColor;
    }

    public void setNameColor(Color nameColor) {
        this.nameColor = nameColor;
    }

    public int getNameX() {
        return nameX;
    }

    public void setNameX(int nameX) {
        this.nameX = nameX;
    }

    public int getNameY() {
        return nameY;
    }

    public void setNameY(int nameY) {
        this.nameY = nameY;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public int getQrCodeX() {
        return qrCodeX;
    }

    public void setQrCodeX(int qrCodeX) {
        this.qrCodeX = qrCodeX;
    }

    public int getQrCodeY() {
        return qrCodeY;
    }

    public void setQrCodeY(int qrCodeY) {
        this.qrCodeY = qrCodeY;
    }

    public int getQrCodeWidth() {
        return qrCodeWidth;
    }

    public void setQrCodeWidth(int qrCodeWidth) {
        this.qrCodeWidth = qrCodeWidth;
    }

    public int getQrCodeHeight() {
        return qrCodeHeight;
    }

    public void setQrCodeHeight(int qrCodeHeight) {
        this.qrCodeHeight = qrCodeHeight;
    }
}
